#!/bin/bash

export USER_MANAGER=auth-domain/user-manager
docker build $USER_MANAGER -f $USER_MANAGER/Dockerfile.prod -t slococo/user-manager:prod
export FLIGHTS_INFORMATION=flights-domain/flights-information
docker build $FLIGHTS_INFORMATION -f $FLIGHTS_INFORMATION/Dockerfile.prod -t slococo/flights-information:prod
docker build screen-domain -f screen-domain/Dockerfile.prod -t slococo/screen-client:prod
docker build browser-domain -f browser-domain/Dockerfile.prod -t slococo/browser-client:prod

export API_IMAGE=slococo/flights-information:prod
docker compose -f flights-domain/docker-compose.yml --env-file flights-domain/.env.prod down
docker compose -f flights-domain/docker-compose.yml --env-file flights-domain/.env.prod up -d
export API_IMAGE=slococo/user-manager:prod
docker compose -f auth-domain/docker-compose.yml --env-file auth-domain/.env.prod down
docker compose -f auth-domain/docker-compose.yml --env-file auth-domain/.env.prod up -d

docker compose -f auth-domain/docker-compose.yml --env-file auth-domain/.env.prod exec usermanager-api python manage.py recreate_db
docker compose -f auth-domain/docker-compose.yml --env-file auth-domain/.env.prod exec usermanager-api python manage.py seed_db

export CLIENT_IMAGE=slococo/screen-client:prod
docker compose -f screen-domain/docker-compose.yml up -d
export CLIENT_IMAGE=slococo/browser-client:prod
docker compose -f browser-domain/docker-compose.yml up -d
